image = {
	background = love.graphics.newImage("assets/terrain/background.png"),
	cartridge = {
		nancy = love.graphics.newImage("assets/menu/nancy.png")
	}
}
-- animations
animation = {
	nancy = {
		idle = {
			path = "assets/characters/nancy/idle",
			frames = 4,
			speed = 1/8,
			imgs = {}
		},
		run = {
			path = "assets/characters/nancy/run",
			frames = 6,
			speed = 1/8,
			imgs = {}
		},
		fall = {
			path = "assets/characters/nancy/fall",
			frames = 3,
			speed = 1/8,
			imgs = {}
		},
		jump = {
			path = "assets/characters/nancy/jump",
			frames = 3,
			speed = 1/8,
			imgs = {}
		}
	}
}

for _, object in pairs(animation) do
	for _, anim in pairs(object) do
		for i = 1, anim.frames do
			table.insert(anim.imgs,love.graphics.newImage(anim.path..tostring(i)..".png"))
		end
	end
end

levelProperties = {
	pos = {
		x = 0,
		y = 0
	},
	offset = {
		x = 0,
		y = 0
	}
}

tileProperties = {
	width = 16,
	height = 16,
	scale = game.scale,
	tileset = love.graphics.newImage("assets/terrain/tileset.png")
}
